### Method

# Ide HighlightIndex to_variant

#### Declaration

    GVariant*
    ide_highlight_index_to_variant (
      IdeHighlightIndex* self
    )

#### Description

Creates a variant to represent the index. Useful to transport across IPC boundaries.

Available since: | 3.32

#### Return value

Returns: | `GVariant`
| A `GVariant`.
| The caller of the method takes ownership of the data, and is responsible for freeing it.